Skip to main content
GET
/
v1
/
tenants
/
{tenantId}
Get a tenant
curl --request GET \
  --url https://api.devic.ai/v1/tenants/{tenantId} \
  --header 'Authorization: Bearer <token>'
{
  "_id": "<string>",
  "tenantId": "<string>",
  "displayName": "<string>",
  "email": "<string>",
  "imageUrl": "<string>",
  "domain": "<string>",
  "source": "<string>",
  "subtenantsCount": 123,
  "firstSeenAt": "2023-11-07T05:31:56Z",
  "lastSeenAt": "2023-11-07T05:31:56Z",
  "metadata": {}
}

Authorizations

Authorization
string
header
required

Use JWT token for authentication

Path Parameters

tenantId
string
required

tenantId

Response

Tenant

_id
string
tenantId
string

Account-chosen identifier of the tenant

displayName
string
email
string
imageUrl
string

Logo URL (auto favicon of the corporate domain, or manual)

domain
string

Corporate domain (auto-detected or manual)

source
string

How the tenant was created (e.g. auto)

subtenantsCount
integer
firstSeenAt
string<date-time>
lastSeenAt
string<date-time>
metadata
object